• ベストアンサー
  • すぐに回答を!

Mac OS Xにもクラッシックにもインストールできるソフトを、クラッシックにインストールしたい。

Mac OS Xにもクラッシックにもインストールできるソフトを、フォントの関係から クラッシックにインストールしたいのですが、どうしたら良いのかわかりません。 具体的には「Macromedia Flash MX」なんですが、インストーラーが共用になっており インストーラーを起動するとOS Xにインストールされてしまいます。 どなたかわかる方いらっしゃいましたら、 よろしくお願いします。

共感・応援の気持ちを伝えよう!

  • Mac
  • 回答数5
  • 閲覧数84
  • ありがとう数3

質問者が選んだベストアンサー

  • ベストアンサー
  • 回答No.5
  • EG4
  • ベストアンサー率67% (53/79)

私もFlash MXをOSX 10.3.5にインストールしています。もちろんClassic環境(OS9.2.2)でも利用できますよ。 まず、インストール自体はOSXでしてしまって構いません。Flash MXのようにOS9とOSXの両方で起動できるソフトは、常にどちらで開くようにするかを設定できます。 「Flash MX」のアプリケーションアイコンをクリックして、「ファイル」メニューの「情報を見る」を選ぶか、「アップル」キー+「i」キーを押してみてください。開いた情報ウィンドウの中に「Classicで開く」というチェックボックスがあるので、それをチェックすればOKです。 なお、CarbonLibについては、OS9.2.2であれば初期状態で最新版がインストールされているはずなので、特に別途ダウンロードする必要はありません。CarbonLibは開発が止まっているので、バージョンアップすることもおそらくありません。

共感・感謝の気持ちを伝えよう!

質問者からのお礼

ありがとうございます!解決できました! ソフトによっては「Classicで開く」が無い物もあるようですが、(Dreamweaver MX等) Flashが使えれば良かったので解決する事が出来ました。 これでやっとG5が仕事に使えます。 ありがとうございました。

その他の回答 (4)

  • 回答No.4
  • s-tuki
  • ベストアンサー率39% (57/145)

http://www.macromedia.com/jp/support/flash/ts/documents/fl0286.html こんなページ見つけましたが、どうでしょう? うまく行くと良いですね。

参考URL:
http://www.macromedia.com/jp/support/flash/ts/documents/fl0286.html

共感・感謝の気持ちを伝えよう!

  • 回答No.3
  • pe2s
  • ベストアンサー率11% (4/36)

インストーラーの情報を見ると、「Classicで起動する」 みたいな項目はないかな? あったらそれでいけるはず。 無きゃわからんです。

共感・感謝の気持ちを伝えよう!

  • 回答No.2
  • s-tuki
  • ベストアンサー率39% (57/145)

G4のOS.X10.2で、 FlashMX使っています。 普通にOSXにインストールしたソフト、 「システム環境設定」でOS.9で立ち上げたら9の環境で問題無く開きました。 (Photoshop7とかもいけました) でもプリンタ等のドライバは、 この状態でOS.9用をインストールしないと使えないです。 *補足 違うOSで初めて起動した事になるので、ユーザー登録を促すメッセージがやたら出て来て参りました。 「まさか2つのマシンにインストールする事になる?」 と心配になったので、サポートセンターに聞いたらそれは大丈夫だから無視して良い、と言われました。

共感・感謝の気持ちを伝えよう!

質問者からの補足

書き忘れていました。OS10.3.5です。 クラシック(OS.9.2.2)を起動した状態でソフト起動してもだめでした。 10.3と10.2の違いなんでしょうか。

  • 回答No.1
  • Rafi
  • ベストアンサー率28% (138/492)

G4ならクラシックで起動した状態でインストールするとクラシックでインストールできます。 G5はちょっとわかりません。クラシック起動できないので無理かも?しれません。

共感・感謝の気持ちを伝えよう!

質問者からの補足

書き忘れていました。OS10.3.5です。 クラシックで起動した状態でインストーラーを起動してもだめでした。

関連するQ&A

  • Mac OS X(10.4.6)でのClassic環境のインストール

    以下のようなPCを使用しています。 コンピュータ名: eMac コンピュータの機種: PowerMac4,4 CPUタイプ: PowerPC G4 (3.3) システムのバージョン: Mac OS X 10.4.6 (8I127) カーネルのバージョン: Darwin 8.6.0 MathCadというソフトウェアを使用したいと思い、 Mac OS 9.2.1のインストールCDから Classic環境のインストールを試みました。 Macヘルプによると、 Mac OS 9 インストール CD からインストールする場合は、 C キーを押しながらコンピュータを再起動することで、 ディスクから起動します。Mac OS ロゴが表示されたら、 C キーを離してもかまいません。 インストーラのアイコンをダブルクリックします。 となっていますが、全くCDドライブから起動しません。 インストールCD内のインストーラからでは、 Classicで、使用する起動ディスク上に Mac OS 9システムフォルダを検出できませんでした。 と言われます。システム環境設定のClassicのウィンドウで インストーラCDのシステムフォルダを選択すると、 QuickTime7.1にも関わらず、 Classicで使用されるMac OS 9システムフォルダに インストールされているQuickTimeのバージョンは、 お勧めできません。 と言われます。無視して続けると、今度は ディスクが読み込み専用であるため、Classicで "Mac OS 9.2.1"の"システムフォルダ"のファイルを 更新できません。 と言われます。どなた様か解決方法を 教えて下さいませんか。よろしく お願い致します。

    • ベストアンサー
    • Mac
  • OS X をインストールしたのですが、Classic が起動できません。

    OS X をインストールしたのですが、Classic が起動できません。 Classic を必要とするアプリケーションを起動しようとする、 「Classic を起動する正しいソフトウェアシステムがありません。適切なシステムのインストール方法についてはユーザ書類を調べてください。」 という、表示がされます。 システム環境パネル上には、「Classic」のアイコン (OS 9 のアイコン) が存在するのですが、 「起動ディスク」のアイコンを選択しても、選択できるシステムフォルダは、 「Mac OS X, 10.0 (Macintosh HD 上)」のみです。 多分、本来ならばここで OS 9 を選択できるはずと聞いていたのですが・・・。 もしかしたら、OS X をインストールする際に誤って OS 9 を削除してしまった可能性も否定できないのですが・・・。 いかんせん Mac には初心者なもので、詳しい方、ご教示願います。

    • ベストアンサー
    • Mac
  • Mac OS Xでしか起動できないMac G5へのクラッシック環境インストール

    Mac OS Xでしか起動できないMac G5を購入したのですが、クラッシク環境のインストール方法がわかりません。 過去の質問をみると「付属のCDからインストールできる」とあったのですが、見当たりませんでした。 付属のCD(DVDですが)は、下記のものでした。 1.Mac OS X Install Disk 1 (Xのバージョンは10.3) 2.Mac OS X Install Disk 2 3.Additional Software & Apple Hardware Test 3.の中には「Classicサポート」というのが入っていたのですがClassicでは無いようでした。 OS9.2.2のCDからインストールしようとしても出来ませんでした。 どなたかわかる方いらっしゃいましたら、 よろしくお願いします。

    • ベストアンサー
    • Mac
  • 「OS XのClassic環境」と「OS 9での起動」の違い

    こんにちは。 勉強不足で申し訳ありませんが、今必死に学んでいますのでお願いします。 「OS XのClassic環境」と「OS 9での起動」の違いがよく理解できません。 (100GのハードにOSが2つ入っています) 動きも違うようですし、OS9のみ対応しているソフトは「OS 9での起動」を した状態でインストールするのでしょうか? また、OS XとOS 9両方に対応しているソフトはOS X で起動している時にインストール すれば、「OS X」、「OS XのClassic環境」、「OS 9での起動」いずれの状態でも 問題なく動作するのでしょうか? いよいよ、Macが本格的にOSXのみでの起動ということで、慌ててOS XとOS 9両方 起動できるG4 1.25Gデュアルを購入しました。 DTPの仕事をしており、当面はOS 9での作業をメインとし、OSXに慣れておこうと 思っております。(タイミングとしては、QuarkExpressの問題、OpenType フォントの普及で移行かなと考えています。) ソフトとフォントは、QuarkExpress4.1、Illustrator8.0、Photoshop5.0、 ATM4.6、ATM用モリサワNEW-CIDフォントです。

    • ベストアンサー
    • Mac
  • Mac OS X の CD-ROM ディスクから Mac OS 9 をインストール

    Mac OS X(10.2) をインストールしましたが、Classicが起動しません。「システム環境設定」の「起動ディスク」にMacOS9のシステムいフォルダがありません。アップルサポートのページで確認すると、Mac OS Xの CD-ROM ディスクから Mac OS 9 をインストールする必要があるとのことなのですが、方法がわかりません。教えてください。

    • ベストアンサー
    • Mac
  • MAC OS X(10.4.8)Flash MX 2004が起動しなくなりました

    2、3日から、インストールしていたFlash MX 2004が 突然、起動(クラッシュ)しなくなりました。 インストールしたのは、1年前くらいで 2、3日までは、なにごともなく使用できていました。 アプリケーションのCD-Rには、 アンインストール機能がありませんでしたので 手動で、Flash MX 2004本体を削除し、 再インストールを試みましたが Flash MX 2004を起動するとクラッシュします。 ユーザー登録入力を新たに入力し起動すると、 起動しましたが、Flash MX 2004から他のソフトやFinderに 切り替えるとクラッシュし、また立ち上がらなくなります。 変わったことをしたかな?と思い当たるのは、 Flash8のお試し版をダウンロードし、試して使用していました。 しかしその際も問題なくFlash MX 2004も使用できていました。 こちらのパソコンの環境は、下記の通りです。 ・MAC OS X(10.4.8) ・Flash MX 2004(アカデミックパッケージにて購入/Studio MX 2004) ・Flash8のお試し版は削除しました。 アドバスよろしくお願いします。

  • Mac OS X Server ver.10.3.9にMac OS9 がインストールできません

    Mac OS X Server ver.10.3.9を利用しています。 Mac OS9用のアプリケーションソフトを利用したく思い、Mac OS X Server ver.10.3.9にMac OS9をインストール(インストール用CD)したのですが、エラーが出てインストールできません。 エラー内容は、、、 「ディスクが読み込み専用であるため、classicでmac OS 9.2.1のシステムフォルダのファイルを更新できません」とでます。 ご回答宜しくお願いいたします。

  • Mac OS X の再インストールについて

    MacMiniでbootcampを導入してWindowsと併用していたのですが、LINUXもインストールできないかと試してみたらWindowsとLINUXが利用できるようになりました。しかし、Mac OS Xの方が起動できなくなりました。そこで、WindowsとLINUXを消去してMac OS Xを再インストールしようとMac OS X Install Disc 1を挿入したのですが、最初は起動しようとするのですが、最終的には画面にりんごマークが出て止まってしまいます。APPLE HARDWARE TESTでも問題はありませんし、またWindows XPはインストールできます。Mac OS Xのパーティションが壊れていると思うのですが、どうすれば修復できますでしょうか、アドバイスよろしくお願いします。

    • 締切済み
    • Mac
  • クラシック環境がインストールされない。

    Mac OS 10.3の製品版CDをPower Mac G4にインストールしました。 なぜかクラシックが入っていません。 OS 9で立ち上がるソフトを開くと 「Classicで、使用する起動ディスク上にMac OS 9システムフォルダを検出できませんでした。Mac OS 9.1以降をコンピュータにインストールしなければならない可能性があります。別のボリューム上のシステムフォルダを選択するには、"Classic設定環境を開く"をクリックしてください。」 と出て、環境設定でClassic画面を開くと 「Classicフォルダがありません。Classicに対応しているMac OS 9がインストールされていません。Mac OS 9.1以降をインストールしてください」 と言われてしまいます。 起動ディスクにもClassicのシステムアイコンが出てこないので、インストールされてないようです。 アップルのサポートページにはOS X付属のCDでインストールする必要があると書いてあったのですが、パッケージに入っていた4枚あるCDの中身を見てもClassicをインストールできるものが見あたらないので、どうしていいのか路頭に迷っております。 探し方が悪いのかもしれませんが、どなたかお分かりになる方おりましたらお答えいただければと思います。 よろしくお願いいたします。

    • ベストアンサー
    • Mac
  • MAC OS X 10.4

    にflashプレイヤーを10から11にしたいんですけどどうやったらできますか? 別のバージョンのAdobe Flash PlayerをインストールでMAC OS X 10.6を選んだら11が出てくるんですけどダウンロードしてインストールできますか?

    • ベストアンサー
    • Mac